CVE-2003-0413
CVSS6.8
发布时间 :2003-06-30 00:00:00
修订时间 :2016-10-17 22:33:44
NMCOES    

[原文]Cross-site scripting (XSS) vulnerability in the webapps-simple sample application for (1) Sun ONE Application Server 7.0 for Windows 2000/XP or (2) Sun Java System Web Server 6.1 allows remote attackers to insert arbitrary web script or HTML via an HTTP request that generates an "Invalid JSP file" error, which inserts the text in the resulting error message.


[CNNVD]Sun ONE Application Server错误消息跨站脚本攻击(XSS)漏洞(CNNVD-200306-116)

        (1)Windows 2000/XP平台下的Sun ONE Application Server 7.0,或(2) Sun Java System Web Server 6.1的webapps-simple sample application存在跨站脚本攻击(XSS)漏洞。远程攻击者可以借助一个生成“无效JSP文件”的HTTP请求注入任意web脚本或HTML,该漏洞可以在生成的错误信息中注入文本。

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0413
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0413
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200306-116
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=105409846029475&w=2
(UNKNOWN)  BUGTRAQ  20030526 Multiple Vulnerabilities in Sun-One Application Server
http://sunsolve.sun.com/pub-cgi/retrieve.pl?doc=fsalert%2F55221&zone_32=category%3Asecurity
(VENDOR_ADVISORY)  SUNALERT  55221
http://sunsolve.sun.com/pub-cgi/retrieve.pl?doc=fsalert/57605
(UNKNOWN)  SUNALERT  57605
http://sunsolve.sun.com/search/document.do?assetkey=1-66-201009-1
(UNKNOWN)  SUNALERT  201009
http://sunsolve.sun.com/search/document.do?assetkey=1-77-1000610.1-1
(UNKNOWN)  SUNALERT  1000610
http://www.ciac.org/ciac/bulletins/n-103.shtml
(VENDOR_ADVISORY)  CIAC  N-103
http://www.iss.net/security_center/static/12095.php
(VENDOR_ADVISORY)  XF  sunone-http-error-xss(12095)
http://www.securityfocus.com/bid/7710
(VENDOR_ADVISORY)  BID  7710
http://www.spidynamics.com/sunone_alert.html
(UNKNOWN)  MISC  http://www.spidynamics.com/sunone_alert.html

- 漏洞信息

Sun ONE Application Server错误消息跨站脚本攻击(XSS)漏洞
中危 跨站脚本
2003-06-30 00:00:00 2010-05-04 00:00:00
远程  
        (1)Windows 2000/XP平台下的Sun ONE Application Server 7.0,或(2) Sun Java System Web Server 6.1的webapps-simple sample application存在跨站脚本攻击(XSS)漏洞。远程攻击者可以借助一个生成“无效JSP文件”的HTTP请求注入任意web脚本或HTML,该漏洞可以在生成的错误信息中注入文本。

- 公告与补丁

        Sun has released alert 57605 addressing this issue. Please see the referenced alert for further information.
        The following fixes are available:
        Sun Java System Web Server 6.1 SP1
        
        Sun Java System Web Server 6.1
        
        Sun ONE Application Server 7.0 Platform Edition
        
        Sun ONE Application Server 7.0 Standard Edition
        

- 漏洞信息 (22665)

Sun ONE Application Server 7.0 Error Message Cross-Site Scripting Vulnerability (EDBID:22665)
windows remote
2003-05-27 Verified
0 SPI Labs
N/A [点击下载]
source: http://www.securityfocus.com/bid/7710/info

Sun ONE Application Server has been reported prone to a cross-site scripting vulnerability.

Sun ONE Application Server does not adequately filter script code from URL parameters, making it prone to cross-site scripting attacks. Attacker-supplied script code may be included in a malicious link to a JSP application hosted on the vulnerable server. Under some circumstances if this link is followed the code will be executed in the browser of the web user who visits the link.

This issue affects a sample script supplied with the server. The vendor has reported that the sample application 'webapps-simple' affected by this issue is not enabled by default.

This vulnerability has been reported to affect Sun ONE Application Server 6.1, 6.1 Service Pack 1, and 7.0 on Windows platforms. 

GET /webapps-simple/jsp/source.jsp?<script>alert(document.cookie)</script>
HTTP/1.0 		

- 漏洞信息

8197
Sun Java System webapps-simple Application XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Sun Java System Web Server contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate scripted content in the query string upon submission to an invalid .jsp script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2003-07-03 2003-07-03
Unknow Unknow

- 解决方案

Upgrade to version 6.1 SP2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Sun ONE Application Server Error Message Cross-Site Scripting Vulnerability
Input Validation Error 7710
Yes No
2003-05-27 12:00:00 2009-07-11 10:06:00
Discovery of this vulnerability has been credited to "SPI Labs" <spilabs@spidynamics.com>.

- 受影响的程序版本

Sun ONE Application Server 7.0 Standard Edition
Sun ONE Application Server 7.0 Platform Edition
Sun Java System Web Server 6.1 SP1
Sun Java System Web Server 6.1
Sun ONE Application Server 7.0 UR1 Standard Edition
Sun ONE Application Server 7.0 UR1 Platform Edition
Sun Java System Web Server 6.1 SP2

- 不受影响的程序版本

Sun ONE Application Server 7.0 UR1 Standard Edition
Sun ONE Application Server 7.0 UR1 Platform Edition
Sun Java System Web Server 6.1 SP2

- 漏洞讨论

Sun ONE Application Server has been reported prone to a cross-site scripting vulnerability.

Sun ONE Application Server does not adequately filter script code from URL parameters, making it prone to cross-site scripting attacks. Attacker-supplied script code may be included in a malicious link to a JSP application hosted on the vulnerable server. Under some circumstances if this link is followed the code will be executed in the browser of the web user who visits the link.

This issue affects a sample script supplied with the server. The vendor has reported that the sample application 'webapps-simple' affected by this issue is not enabled by default.

This vulnerability has been reported to affect Sun ONE Application Server 6.1, 6.1 Service Pack 1, and 7.0 on Windows platforms.

- 漏洞利用

The following proof of concept has been supplied:

GET /webapps-simple/jsp/source.jsp?&lt;script&gt;alert(document.cookie)&lt;/script&gt;
HTTP/1.0

- 解决方案

Sun has released alert 57605 addressing this issue. Please see the referenced alert for further information.

The following fixes are available:


Sun Java System Web Server 6.1 SP1

Sun Java System Web Server 6.1

Sun ONE Application Server 7.0 Platform Edition

Sun ONE Application Server 7.0 Standard Edition

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站